AUTOMAKE_OPTIONS = foreign

SUBDIRS = \
	lib/liboptions \
	lib/libdebug \
	lib/libmobile \
	lib/libdisplay \
	lib/libsample \
	lib/libimage \
	lib/libsendevolumenregler \
	lib/libcompandor \
	lib/libgoertzel \
	lib/libjitter \
	lib/libsquelch \
	lib/libhagelbarger \
	lib/libdtmf \
	lib/libtimer \
	lib/libsamplerate \
	lib/libscrambler \
	lib/libemphasis \
	lib/libfsk \
	lib/libam \
	lib/libfm \
	lib/libfilter \
	lib/libwave \
	lib/libfft \
	lib/libclipper \
	lib/libserial \
	lib/libv27 \
	lib/libmtp \
	lib/libosmocc \
	lib/libg711 \
	lib/libaaimage

if HAVE_ALSA
SUBDIRS += \
	lib/libsound
endif

if HAVE_SDR
SUBDIRS += \
	lib/libsdr
endif

SUBDIRS += \
	anetz \
	bnetz \
	cnetz \
	nmt \
	amps \
	tacs \
	jtacs \
	r2000 \
	imts \
	mpt1327 \
	jolly \
	eurosignal \
	pocsag \
	fuenf \
	tv \
	radio \
	zeitansage \
	sim \
	magnetic \
	fuvst

if HAVE_ALSA
if HAVE_FUSE
SUBDIRS += \
	datenklo
endif
endif

SUBDIRS += \
	test

